singleton Material(fo_paint)
{
   mapTo = "fo_paint";
   diffuseMap[0] = "vehicles/raptor/body_d.png";
   diffuseMap[1] = "vehicles/raptor/body_c.png";
   //diffuseMap[0] = "vehicles/amg/body_d.dds";
  // diffuseMap[1] = "vehicles/amg/body_c.dds";
   specularPower[0] = "15";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[1] = true;
};

singleton Material(fo_chrome)
{
    mapTo = "fo_chrome";
    //diffuseMap[0] = "vehicles/boxcar/tex/body_s.png";
    //specularMap[0] = "vehicles/boxcar/tex/body_c.png";
    //normalMap[0] = "vehicles/boxcar/tex/bodyn.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "1 1 1 1";
	useAnisotropic[0] = "1";
    castShadows = "1";
	doublesided = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fo_glass)
{
mapTo = "fo_glass";
reflectivityMap[0] = "vehicles/raptor/glass.dds";
diffuseMap[0] = "vehicles/raptor/glass.dds";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/raptor/glass.dds";
specularMap[1] = "vehicles/raptor/glass.dds";
specularPower[0] = "128";
pixelSpecular[0] = "1";
specularPower[1] = "128";
pixelSpecular[1] = "1";
diffuseColor[0] = "0.2 0.2 0.2 0.6";
//diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 0.75";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "0";
translucent = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fo_glass_dmg)
{
    mapTo = "fo_glass_dmg";
    diffuseMap[0] = "vehicles/raptor/glass_dmg.dds";
    opacityMap[0] = "vehicles/raptor/glass_dmg.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/raptor/glass_dmg.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fo_glass_int)
{
    mapTo = "fo_glass_int";
    diffuseMap[0] = "vehicles/raptor/glass.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.2 0.2 0.2 0.1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fo_windshield_dmg)
{
    mapTo = "fo_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/raptor/glass_dmg.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(glass_clear)
{
   mapTo = "glass_clear";

   diffuseColor[0] = "0 0 0 0.3";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   alphaTest = "1";
   doublesided = "1";
   alphaRef = "0";
};

   singleton Material(moc_glassred)
{
   mapTo = "moc_glassred";

   diffuseColor[0] = "0.8 0 0 0.7";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   alphaTest = "1";
   doublesided = "0";
   alphaRef = "0";
};

  singleton Material(fo_dark_glass)
{
   mapTo = "fo_dark_glass";

   diffuseColor[0] = "0.1 0.1 0.1 0.8";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   alphaTest = "1";
   doublesided = "0";
   alphaRef = "0";
};



singleton Material(moc_red)
{
   mapTo = "moc_red";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
  diffuseColor[1] = "1 0.0 0 1";
  //diffuseColor[0] = "0.0 0.6 0.2 0.0";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

   singleton Material(moc_blackplastic)
{
   mapTo = "moc_blackplastic";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.2 0.2 0.2 0.90";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   };
   
   singleton Material(moc_matteplastic)
{
   mapTo = "moc_matteplastic";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.2 0.2 0.2 1";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
  // dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   };

   singleton Material(plasticGlossy)
{
   mapTo = "plasticGlossy";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0 0 0 0.9";
   specularPower[2] = "35";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

   singleton Material(fo_interiorA)
{
   mapTo = "fo_interiorA";
   diffuseMap[0] = "vehicles/raptor/InteriorA_DiffuseAOSO1.png";
   normalMap[0] = "vehicles/raptor/InteriorA_Normal.png";
    specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   //doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   };  
   
   
    
   singleton Material(fo_interiorTillingA)
{
   mapTo = "fo_interiorTillingA";
   diffuseMap[0] = "vehicles/raptor/InteriorTillingA_DiffuseAOSO.png";
   normalMap[0] = "vehicles/raptor/InteriorTillingA_Normal.png";
    specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   //doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   };  	
	
   
     singleton Material(fo_intsymbols)
{
   mapTo = "fo_intsymbols";
   diffuseMap[0] = "vehicles/raptor/InteriorA_DiffuseAOSO1.png";
   normalMap[0] = "vehicles/raptor/InteriorA_Normal.png";
  diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   };  
   
    singleton Material(fo_interiorA1)
{
   mapTo = "fo_interiorA1";
   diffuseMap[0] = "vehicles/raptor/InteriorA_DiffuseAOSO1.png";
   normalMap[0] = "vehicles/raptor/InteriorA_Normal.png";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.10";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   };  
   
    singleton Material(fo_screen)
{
   mapTo = "fo_screen";
   diffuseMap[0] = "vehicles/raptor/InteriorA_Emissive.png";
   //normalMap[0] = "vehicles/raptor/InteriorA_Normal.png";
  diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   };  
   
    singleton Material(fo__wheel1A)
{
   mapTo = "fo__wheel1A";
   diffuseMap[0] = "vehicles/raptor/Wheel1A_DiffuseAOSO.png";
    normalMap[0] = "vehicles/raptor/Wheel1A_Normal.png";
  diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "0";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   };  
   
   singleton Material(fo_wheelblack)
{
   mapTo = "fo_wheelblack";
   //diffuseMap[0] = "vehicles/amg/sidewall.png";
  //  diffuseMap[0] = "vehicles/raptor/Wheel1A_DiffuseAOSO.png";
 //   normalMap[0] = "vehicles/raptor/Wheel1A_Normal.png";
  // specularMap[0] = "vehicles/common/null.dds";
//	diffuseMap[1] = "vehicles/common/null.dds";
  // specularMap[1] = "vehicles/common/null.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
  // dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
  };
   
   singleton Material(fo_wheelside)
{
   mapTo = "fo_wheelside";
   //diffuseMap[0] = "vehicles/amg/sidewall.png";
    diffuseMap[0] = "vehicles/raptor/Wheel1A_DiffuseAOSO.png";
    normalMap[0] = "vehicles/raptor/Wheel1A_Normal.png";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
  // dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
  };
  
  
   singleton Material(fo_calliper)
{
   mapTo = "fo_calliper";
   diffuseMap[0] = "vehicles/raptor/Wheel1A_DiffuseAOSO.png";
   normalMap[0] = "vehicles/raptor/Wheel1A_Normal.png";
  diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "0";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
  // dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
  };
  
   singleton Material(fo_STAlogo)
{
   mapTo = "fo_STAlogo";
   //diffuseMap[0] = "vehicles/amg/sidewall.png";
    diffuseMap[0] = "vehicles/raptor/Wheel1A_DiffuseAOSO.png";
    normalMap[0] = "vehicles/raptor/Wheel1A_Normal.png";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
  // dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
  };
   
       singleton Material(fo_badgeA)
{
   mapTo = "fo_badgeA";
   diffuseMap[0] = "vehicles/raptor/BadgeA_DiffuseAOSO.png";
   normalMap[0] = "vehicles/raptor/BadgeA_Normal.png";
    //specularMap[0] = "vehicles/common/null.dds";
	//diffuseMap[1] = "vehicles/common/null.dds";
//  specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
  // doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   }; 
   
     singleton Material(fo_engineA)
{
   mapTo = "fo_engineA";
   diffuseMap[0] = "vehicles/raptor/EngineA_DiffuseAOSO.png";
    normalMap[0] = "vehicles/raptor/EngineA_Normal.png";
    specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.50";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   };  
   
      singleton Material(fo_badgeA)
{
   mapTo = "fo_badgeA";
   diffuseMap[0] = "vehicles/raptor/BadgeA_DiffuseAOSO.png";
    normalMap[0] = "vehicles/raptor/BadgeA_Normal.png";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   }; 
   
   
singleton Material(silver)
{
    mapTo = "silver";
    //diffuseMap[0] = "vehicles/boxcar/tex/body_s.png";
    //specularMap[0] = "vehicles/boxcar/tex/body_c.png";
    //normalMap[0] = "vehicles/boxcar/tex/bodyn.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "1 1 1 0.9";
	useAnisotropic[0] = "1";
    castShadows = "1";
	doublesided = "1";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(blue)
{
   mapTo = "blue";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
  diffuseColor[1] = "0 0.5 0.5 1";
  //diffuseColor[0] = "0.0 0.6 0.2 0.0";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   glow[1] = "1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

    singleton Material(fo_sylver)
{
   mapTo = "fo_sylver";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.6 0.6 0.6 0.90";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

 singleton Material(chromeDark)
{
    mapTo = "chromeDark";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.6 0.6 0.6 0.3";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

 singleton Material(fo_black)
{
   mapTo = "fo_black";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(fo_grille2A)
{
   mapTo = "fo_grille2A";
   diffuseMap[0] = "vehicles/raptor/grille2A_DiffuseAOSO.png";
    normalMap[0] = "vehicles/raptor/grille2A_Normal.png";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
};


singleton Material(fo_grille3A)
{
   mapTo = "fo_grille3A";
   diffuseMap[0] = "vehicles/raptor/grille3A_DiffuseAOSO.png";
   normalMap[0] = "vehicles/raptor/grille3A_Normal.png";
     specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   //doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(fo_grille1A)
{
   mapTo = "fo_grille1A";
   diffuseMap[0] = "vehicles/raptor/grille1A_DiffuseAOSO.png";
   normalMap[0] = "vehicles/raptor/Grille1A_Normal.png";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   //doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
    };


singleton Material(moc_steel)
{
    mapTo = "moc_steel";
    specularPower[0] = "32";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "0.1 0.1 0.1 1";
	useAnisotropic[0] = "1";
    castShadows = "1";
	doublesided = "1";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(metal_dark)
{
    mapTo = "metal_dark";
   specularPower[0] = "32";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "0.8 0.8 0.8 0.9";
	useAnisotropic[0] = "1";
    castShadows = "1";
	doublesided = "1";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(running)
{
   mapTo = "running";
     diffuseMap[2] = "vehicles/amg/body_c.png";
    specularMap[2] = "vehicles/amg/body_c.png";
    normalMap[2] = "vehicles/amg/body_c.png";
    diffuseMap[1] = "vehicles/amg/body_c.png";
    specularMap[1] = "vehicles/amg/body_c.png";
    normalMap[1] = "vehicles/amg/body_c.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/amg/body_c.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 0.5";
    diffuseColor[1] = "1.5 1.5 1.5 0.5";
    diffuseColor[2] = "1.5 1.5 1.5 0.50";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fo_lights)
{
    mapTo = "fo_lights";
	diffuseMap[1] = "vehicles/raptor/LightA_Diffuse.png";
    specularMap[1] = "vehicles/raptor/LightA_Diffuse.png";
	//opacityMap[0] = "vehicles/urus/Lamborghini_Urus_2018_LightA_Diffuse_rr.png";
    normalMap[1] = "vehicles/raptor/LightA_Diffuse.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/raptor/LightA_Diffuse.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0.5 0.5 0.5 0";
	//diffuseColor[0] = "0.5 0.5 0.5 0.75";
	//diffuseColor[1] = "0.1 0.1 0.1 0.8";
    //diffuseColor[1] = "0.5 0.5 0.5 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "0.5 0.5 0.5 0.9";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fo_lights_on)
{
    mapTo = "fo_lights_on";
	diffuseMap[2] = "vehicles/raptor/LightA_Emissive1.png";
    specularMap[2] = "vehicles/raptor/LightA_Emissive1.png";
    normalMap[2] = "vehicles/raptor/LightA_Emissive1.png";
    diffuseMap[1] = "vehicles/raptor/LightA_Emissive1.png";
    specularMap[1] = "vehicles/raptor/LightA_Emissive1.png";
    normalMap[1] = "vehicles/raptor/LightA_Emissive1.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/raptor/LightA_Emissive1.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[0] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fo_lights_on_intense)
{
   mapTo = "fo_lights_on_intense";
     diffuseMap[2] = "vehicles/raptor/LightA_Emissive1.png";
    specularMap[2] = "vehicles/raptor/LightA_Emissive1.png";
    normalMap[2] = "vehicles/raptor/LightA_Emissive1.png";
    diffuseMap[1] = "vehicles/raptor/LightA_Emissive1.png";
    specularMap[1] = "vehicles/raptor/LightA_Emissive1.png";
    normalMap[1] = "vehicles/raptor/LightA_Emissive1.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/raptor/LightA_Emissive1.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 0.5";
    diffuseColor[1] = "1.5 1.5 1.5 0.5";
    diffuseColor[2] = "1.5 1.5 1.5 0.50";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fo_lights1)
{
    mapTo = "fo_lights1";
	diffuseMap[0] = "vehicles/raptor/LightA_Diffuse.png";
    specularMap[0] = "vehicles/raptor/LightA_Diffuse.png";
	//specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/raptor/LightA_Diffuse.png";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.30";
   specularPower[2] = "128";
   useAnisotropic[2] = "1";
   castShadows = "1";
   //doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(fo_lights_dmg)
{
    mapTo = "fo_lights_dmg";
	diffuseMap[0] = "vehicles/raptor/LightA_Diffuse.png";
    specularMap[0] = "vehicles/raptor/LightA_Diffuse.png";
	//specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/raptor/LightA_Diffuse.png";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.30";
   specularPower[2] = "128";
   useAnisotropic[2] = "1";
   castShadows = "1";
   //doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(moc_lights1)
{
    mapTo = "moc_lights1";
	diffuseMap[1] = "vehicles/raptor/body_c.png";
    specularMap[1] = "vehicles/raptor/body_c.png";
	//opacityMap[0] = "vehicles/urus/Lamborghini_Urus_2018_LightA_Diffuse_rr.png";
    normalMap[1] = "vehicles/raptor/body_c.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/raptor/body_c.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0.5 0.5 0.5 0.75";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //diffuseColor[1] = "0.5 0.5 0.5 0.9";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(moc_lights_on_intense1)
{
   mapTo = "moc_lights_on_intense1";
     diffuseMap[2] = "vehicles/raptor/body_c1.png";
    specularMap[2] = "vehicles/raptor/body_c1.png";
    normalMap[2] = "vehicles/raptor/body_c1.png";
    diffuseMap[1] = "vehicles/raptor/body_c1.png";
    specularMap[1] = "vehicles/raptor/body_c1.png";
    normalMap[1] = "vehicles/raptor/body_c1.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/raptor/body_c1.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 0.5";
    diffuseColor[1] = "1.5 1.5 1.5 0.5";
    diffuseColor[2] = "1.5 1.5 1.5 0.50";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

      singleton Material(moc_gauges)
{
    mapTo = "moc_gauges";
    diffuseMap[0] = "vehicles/raptor/moc_gauges.png";
    specularMap[0] = "vehicles/raptor/moc_gauges.png";
    normalMap[0] = "vehicles/common/null.dds";
    //diffuseColor[0] = "0.5 0.5 0.5 0.5";
	diffuseColor[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};

singleton Material(moc_gauges_on)
{
    mapTo = "moc_gauges_on";
     diffuseMap[0] = "vehicles/raptor/moc_gauges.png";
    specularMap[0] = "vehicles/raptor/moc_gauges.png";
    normalMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
     
 singleton Material(amg_runninglight)
{
    mapTo = "amg_runninglight";
};
 
singleton Material(fo_signal_L)
{
    mapTo = "fo_signal_L";
};

//singleton Material(urus_foglight)
//{
//    mapTo = "urus_foglight";
//};

singleton Material(fo_signal_R)
{
    mapTo = "fo_signal_R";
};

singleton Material(fo_light)
{
  mapTo = "fo_light";
};

singleton Material(fo_beam)
{
    mapTo = "fo_beam";
};

singleton Material(urus_signal_L1)
{
   mapTo = "urus_signal_L1";
};

singleton Material(urus_signal_R1)
{
   mapTo = "urus_signal_R1";
};

singleton Material(fo_brake)
{
    mapTo = "fo_brake";
};

singleton Material(moc_parkinglight)
{
    mapTo = "moc_parkinglight";
};

singleton Material(moc_headlight_L)
{
    mapTo = "moc_headlight_L";
};

singleton Material(moc_headlight_R)
{
    mapTo = "moc_headlight_R";
};

singleton Material(moc_headlight_L1)
{
    mapTo = "moc_headlight_L1";
};

singleton Material(urus_headlight_R1)
{
    mapTo = "urus_headlight_R1";
};

singleton Material(fo_reverse)
{
    mapTo = "fo_reverse";
};

singleton Material(fo_taillight_L)
{
    mapTo = "fo_taillight_L";
};

singleton Material(fo_taillights_R)
{
    mapTo = "fo_taillights_R";
};

//singleton Material(hazard)
//{
//    mapTo = "hazard";
//};

//singleton Material(urus_taillight)
//{
 //   mapTo = "urus_taillight_L";
//};

//singleton Material(urus_chmsl)
//{
//    mapTo = "urus_chmsl";
//};


